﻿using DynamicQueries.WinApp.Cfg;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DynamicQueries.WinApp
{
    public class ConditionEditing
    {
        public IFieldController Field { get; set; }
        public ConditionItem ConditionItem { get; set; }
        public ConditionEditing(IFieldController field,ConditionItem conditionItem)
        {
            Field = field;
            ConditionItem = conditionItem; 
        }

        public void SetCondition(ConditionItem condition)
        {
            ConditionItem.Desc = condition.Desc;
            ConditionItem.Condition = condition.Condition;
        }
    }
}
