﻿using DynamicQueries.WinApp.Cfg;
using DynamicQueries.WinApp.FieldViews;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DynamicQueries.WinApp.Fields
{
    /// <summary>
    /// 整形类型字段
    /// </summary>
    public class IntField : IFieldController
    {
        public string HandleType => "Int";

        public Control BuildFieldEditor(FieldItem field, string condition)
        {
            return new IntCtl(field,condition);
        }

        public void BuildWhere(SqlBuilder build, FieldItem field, string condition)
        {
            
        }

        public ConditionItem ReadCondition(Control ctrol)
        {
            IntCtl ctl = (IntCtl)ctrol;
            return ctl.ReadCondition();
        }
    }
}
