using DynamicQueries.WinApp.Cfg;
using DynamicQueries.WinApp.Fields;
using System.Data;
using System.Data.SqlClient;
using System.Windows.Forms;

namespace DynamicQueries.WinApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            Dictionary<string, FieldItem> dictField = new Dictionary<string, FieldItem>();
            var fields = FieldItem.GetAppConfigFields();
            var conds = Condition.FromFile();
            foreach (var field in fields)
                dictField[field.FieldName] = field;//ֶζ
            //ֶε
            SqlBuilder sqlBuilder = new SqlBuilder();
            foreach (var item in conds.Fields)
            {
                if (string.IsNullOrEmpty(item.Value.Condition))//ûֵ
                    continue;
                var field = dictField[item.Key];
                var tp = FieldFacotry.GetFieldType(dictField[field.FieldName].FieldType);
                tp.BuildWhere(sqlBuilder, field, item.Value.Condition);
            }
            DataTable dataTable = new DataTable();
            //ѯ
            using (SqlConnection connection = new SqlConnection("Data Source=127.0.0.1\\MSSQL1;TrustServerCertificate=true;"))
            {
                try
                {
                    connection.Open();
                    using (sqlBuilder)
                    {
                        var cmd = sqlBuilder.GetQueryCommand(connection, "top 10 *", "tableName");
                        var fill = new SqlDataAdapter(cmd);
                        fill.Fill(dataTable);
                    }
                    dataGridView1.DataSource = null;
                    dataGridView1.Columns.Clear();
                    dataGridView1.DataSource = dataTable;
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message);
                }
            }
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            FormCondtion formCondtion = new FormCondtion();
            formCondtion.ShowDialog();
        }
    }
}