﻿using DynamicQueries.WinApp.Cfg;
using DynamicQueries.WinApp.FieldViews;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DynamicQueries.WinApp.Fields
{
    public class StringField : IFieldController
    {
        public string HandleType => "String";

        public Control BuildFieldEditor(FieldItem field, string condition)
        {
            StringCtl ctl = new StringCtl(field,condition);
            return ctl;
        }

        public void BuildWhere(SqlBuilder build, FieldItem field, string condition)
        {
            
        }

        public ConditionItem ReadCondition(Control ctrol)
        {
            StringCtl? ctl = ctrol as StringCtl;
            return ctl!.ReadCondition();
        }
    }
}
